package com.alterdekim.hearthhack.game;

public enum GameState {
    CreateGame,
    CreatePlayers,
    CreateDecks,
    CreateHeroes,
    CreateHeroPowers,
    Running;

    public GameState next() {
        GameState[] states = GameState.values();
        int i = this.ordinal()+1 >= states.length ? 0 : this.ordinal()+1;
        return states[i];
    }
}
